<?php

echo "<!DOCTYPE html>\t\n<html>\t\n<head>\t\t\n<title>E5 keine Vokale</title>\t\t\n</head>\t\n<body>\t\n<h1>Keine Vokale</h1>\t\n";

$woerter = ["Maus", "Automobil", "Schifffahrt",

"Hund", "Katze", "Ziege", "Stanniolpapier",

"Elefant", "Isopropylalkohol", "Schwimmbad"];

$vokale = ["a", "e", "i", "o", "u"];
//---------------------1.Schleife------------------------------------------------------
foreach($woerter as $w){

$strArr [] = strtolower ( $w ); //Alle buchstaben mit der Funktion verkleinern, damit auch die Anfangsbuchstaben gelesen werden können.

//---------------------2.Schleife in der 1.Schleife------------------------------------
foreach($strArr as $s) {

$zaehler = 0;

    for($i = 0; $i < strlen($s); $i++ ) { //Anzahl der schleifendurchläufe, anhand der länge des strings i kleiner als der string (strlen).
        if (in_array($s[$i], $vokale)) { // wird geprüft ob sich ein vokal im string $s befindet    
            $zaehler++;
        }

    }  
$t[$s] = $i - $zaehler; //Die zeichen die Vokale sind werden abgezogen und der rest in ein Array geschrieben.


}
echo "<p>Das Wort \"$w\" hat $t[$s] Zeichen die keine Vokal(e) sind</p>"; 
}

echo "</body>\t\n</html>";
?>